--- title: "getBlockStorageVolumeTypeList" slug: "compute-vserver-storage-getblockstoragevolumetypelist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-storage-getblockstoragevolumetypelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getBlockStorageVolumeTypeList Available in VPC Get the list of available block storage volume type codes. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getBlockStorageVolumeTypeList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `zoneCode` | String | Optional | Zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `blockStorageVolumeTypeCodeList.N` | Array | Optional | Block storage volume type code list - Filter by the block storage type code list. - See [getBlockStorageVolumeTypeList](/docs/en/compute-vserver-storage-getblockstoragevolumetypelist). - Example: `blockStorageVolumeTypeCodeList.1=SSD&blockStorageVolumeTypeCodeList.2=CB1` | | `hypervisorTypeCodeList.N` | Array | Optional | Hypervisor type code list - `XEN` \| `KVM` - See [getHypervisorTypeList](/docs/en/compute-vserver-server-common-gethypervisortypelist). - Filter by the hypervisor type code. - Example: `hypervisorTypeCodeList.1=XEN&hypervisorTypeCodeList.2=KVM` | | `serverSpecCode` | String | Optional | Filter by the server specification code. - See [getServerSpecList](/docs/en/compute-vserver-server-common-getserverspeclist). | | `isBaseStorageAvailable` | Boolean | Optional | Filter by the default storage availability. - `true` \| `false` - `true`: available - `false`: unavailable | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getBlockStorageVolumeTypeList ?regionCode=KR &blockStorageVolumeTypeCodeList.1=CB1 &blockStorageVolumeTypeCodeList.2=SSD &hypervisorTypeCodeList.1=XEN &hypervisorTypeCodeList.2=KVM &isBaseStorageAvailable=true &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getBlockStorageVolumeTypeListResponse` | Object | - | Response result - See [BlockStorageVolumeTypeList](/docs/en/common-vapidatatype-blockstoragevolumetypelist). | | `getBlockStorageVolumeTypeListResponse.requestId` | String | - | ID for the request - UUID format | | `getBlockStorageVolumeTypeListResponse.returnCode` | String | - | Response code | | `getBlockStorageVolumeTypeListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getBlockStorageVolumeTypeListResponse": { "totalRows": 2, "blockStorageVolumeTypeList": [ { "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "minBaseVolumeSize": 10, "maxBaseVolumeSize": 2000, "minVolumeSize": 10, "maxVolumeSize": 16380, "minIops": 100, "maxIops": 16000, "minThroughput": 100, "maxThroughput": 250, "zoneCodeList": [ "KR-1", "KR-2" ], "isBaseStorageAvailable": true }, { "blockStorageVolumeType": { "code": "SSD", "codeName": "SSD" }, "hypervisorType": { "code": "XEN", "codeName": "XEN" }, "minBaseVolumeSize": 50, "maxBaseVolumeSize": 100, "minVolumeSize": 10, "maxVolumeSize": 2000, "zoneCodeList": [ "KR-2", "KR-1" ], "isBaseStorageAvailable": true } ], "requestId": "fc05c29d-****-****-****-149469afb646", "returnCode": "0", "returnMessage": "success" } } ```